##### 7.5.14.0. addRat

Procedure from library `dmodloc.lib` (see dmodloc_lib).

Usage:
  addRat(v,w); v,w vectors

Assume:
  Assume that v,w have exactly two components, second ones not 0.

Return:
  vector, representing rational function (v[1]/v[2])+(w[1]/w[2])

Note:
  Possibly present non-commutative relations of the basering are ignored.

Example:

    LIB "dmodloc.lib";
    ring r = 0,(x,y),dp;
    vector v = [x,y];
    vector w = [y,x];
    addRat(v,w);
    ==> x2*gen(1)+xy*gen(2)+y2*gen(1)
    addRat(v,w) - [x2+y2,xy];
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.